Bug 183453 - Thunderbird segfault on startup
Thunderbird segfault on startup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
4
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 03:14 EST by Derek Poon
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Derek Poon 2006-03-01 03:14:31 EST
Description of problem:
Thunderbird crashes immediately when run from the command line.  The process
just disappears without a trace.  Closer inspection reveals that it has crashed
from a segfault.

Version-Release number of selected component (if applicable):
thunderbird-1.0.7-1.1.fc4.ppc.rpm
... on FC4 for PPC with all updates applied.

How reproducible:
100%

Steps to Reproduce:
1. rm -rf ~/.thunderbird
2. thunderbird
3. Dialog appears, offering to import settings into profile.  It doesn't matter
whether which choice you pick; click Next.  Thunderbird creates a profile in
~/.thunderbird, then crashes.
4. Run thunderbird -g to get the stack trace (included below).

Additional info:
Stack trace from running thunderbird -g

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 806830784 (LWP 4292)]
0x0f22b0f0 in nsSegmentedBuffer::Empty (this=0x2c) at nsSegmentedBuffer.cpp:158
/usr/src/debug/mozilla/xpcom/io/nsSegmentedBuffer.cpp:158:5456:beg:0xf22b0f0
(gdb) bt
#0  0x0f22b0f0 in nsSegmentedBuffer::Empty (this=0x2c) at nsSegmentedBuffer.cpp:158
#1  0x0f22821c in ~nsSegmentedBuffer (this=0x2c) at nsSegmentedBuffer.h:54
#2  0x0ddcc4c4 in ~FileImpl (this=Variable "this" is not available.
) at nsIFileStream.cpp:186
#3  0x0ddccbb0 in FileImpl::Release (this=0x106bbe38) at nsIFileStream.cpp:122
#4  0x0f270ec4 in nsCOMPtr_base::~nsCOMPtr_base$base () at
nsComponentManagerUtils.cpp:67
#5  0x0ddcacf8 in ~nsCOMPtr (this=Variable "this" is not available.
) at ../../dist/include/xpcom/nsCOMPtr.h:472
#6  0x0ddcad30 in ~nsRandomAccessStoreClient (this=Variable "this" is not available.
) at nsFileStream.h:388
#7  0x0ddcae4c in ~nsRandomAccessInputStream (this=0x10694408,
__vtt_parm=0xdd95868) at nsFileStream.h:442
#8  0x0ddc9394 in nsInputFileStream::~nsInputFileStream$base () at
../../dist/include/string/nsTAString.h:395
#9  0x0daa7608 in ~nsIOFileStream (this=0x10694408) at
../../../dist/include/xpcom_obsolete/nsFileStream.h:684
#10 0x0daa57ec in nsMsgFilterService::OpenFilterList (this=0x106bbb80,
filterFile=0x106bbcf0, rootFolder=0x0, aMsgWindow=0x0,
resultFilterList=0x106bbc64) at nsMsgFilterService.cpp:99
#11 0x0dca6264 in nsMsgMailViewList::LoadMailViews (this=0x106bbc58) at
nsMsgMailViewList.cpp:260
#12 0x0dca6398 in nsMsgMailViewList (this=0x106bbc58) at nsMsgMailViewList.cpp:110
#13 0x0d9ea364 in nsMsgMailViewListConstructor (aOuter=Variable "aOuter" is not
available.
) at nsMailModule.cpp:511
#14 0x0f271aa0 in nsGenericFactory::CreateInstance (this=Variable "this" is not
available.
) at nsGenericFactory.cpp:82
#15 0x0f23b29c in nsComponentManagerImpl::CreateInstance (this=0x10066378,
aClass=Variable "aClass" is not available.
) at nsComponentManager.cpp:1918
#16 0x0f23aca8 in nsComponentManagerImpl::GetService (this=0x10066378,
aClass=@0x106bba2c, aIID=@0x7fa64390, result=0x7fa64384) at
nsComponentManager.cpp:2120
#17 0x0f242150 in nsServiceManager::GetService (aClass=Variable "aClass" is not
available.
) at nsServiceManagerObsolete.cpp:77
#18 0x0e8c3834 in nsJSCID::GetService (this=0x106bba18, _retval=Variable
"_retval" is not available.
) at xpcjsid.cpp:882
#19 0x0f263d58 in XPTC_InvokeByIndex () at
../../../dist/include/string/nsTAString.h:406
#20 0x0e8d5bc4 in XPCWrappedNative::CallMethod (ccx=@0x7fa646d8, mode=Variable
"mode" is not available.
) at xpcwrappednative.cpp:2034
#21 0x0e8d9448 in XPC_WN_CallMethod (cx=0x101d6bf0, obj=Variable "obj" is not
available.
) at xpcwrappednativejsops.cpp:1781
#22 0x0ff6b53c in js_Invoke (cx=0x101d6bf0, argc=1, flags=0) at jsinterp.c:955
#23 0x0ff68424 in js_Interpret (cx=0x101d6bf0, result=0x7fa64908) at jsinterp.c:2998
#24 0x0ff6b58c in js_Invoke (cx=0x101d6bf0, argc=1, flags=2) at jsinterp.c:972
#25 0x0e8d0e5c in nsXPCWrappedJSClass::CallMethod (this=0x103ead30,
wrapper=Variable "wrapper" is not available.
) at xpcwrappedjsclass.cpp:1339
#26 0x0e8cb938 in nsXPCWrappedJS::CallMethod (this=Variable "this" is not available.
) at xpcwrappedjs.cpp:449
#27 0x0f263c24 in PrepareAndDispatch (self=0x104bdf68, methodIndex=Variable
"methodIndex" is not available.
) at xptcstubs_ppc_linux.cpp:176
#28 0x0f263dd0 in SharedStub () at ../../../dist/include/string/nsTAString.h:406
#29 0x0e165c44 in nsEventListenerManager::HandleEventSubType (this=0x10383fa0,
aListenerStruct=0x104bde78, aDOMEvent=0x106b3bd8, aCurrentTarget=0x101d6a38,
aSubType=1, aPhaseFlags=Variable "aPhaseFlags" is not available.
) at nsEventListenerManager.cpp:1454
#30 0x0e1663ac in nsEventListenerManager::HandleEvent (this=0x10383fa0,
aPresContext=Variable "aPresContext" is not available.
) at nsEventListenerManager.cpp:1552
#31 0x0e2ceda0 in GlobalWindowImpl::HandleDOMEvent (this=0x101d6a28,
aPresContext=0x103101d0, aEvent=0x7fa65020, aDOMEvent=0x7fa64f68,
aFlags=Variable "aFlags" is not available.
) at nsGlobalWindow.cpp:933
#32 0x0e0f118c in DocumentViewerImpl::LoadComplete (this=0x10383b88,
aStatus=Variable "aStatus" is not available.
) at nsDocumentViewer.cpp:917
#33 0x0e5258cc in nsDocShell::EndPageLoad (this=0x101d6420, aProgress=Variable
"aProgress" is not available.
) at nsDocShell.cpp:4609
#34 0x0e537600 in nsWebShell::EndPageLoad (this=0x101d6420,
aProgress=0x101d65c4, channel=0x101e4690, aStatus=0) at nsWebShell.cpp:755
#35 0x0e524aa4 in nsDocShell::OnStateChange (this=0x101d6420,
aProgress=0x101d65c4, aRequest=0x101e4690, aStateFlags=Variable "aStateFlags" is
not available.
) at nsDocShell.cpp:4541
#36 0x0e546430 in nsDocLoaderImpl::FireOnStateChange (this=0x101d65b0,
aProgress=0x101d65c4, aRequest=0x101e4690, aStateFlags=131088, aStatus=0) at
nsDocLoader.cpp:1268
#37 0x0e54664c in nsDocLoaderImpl::doStopDocumentLoad (this=0x101d65b0,
request=0x101e4690, aStatus=0) at nsDocLoader.cpp:862
#38 0x0e546758 in nsDocLoaderImpl::DocLoaderIsEmpty (this=0x101d65b0) at
nsDocLoader.cpp:769
#39 0x0e546b80 in nsDocLoaderImpl::OnStopRequest (this=0x101d65b0,
aRequest=0x106d6e90, aCtxt=Variable "aCtxt" is not available.
) at nsDocLoader.cpp:698
#40 0x0e73b2b4 in nsLoadGroup::RemoveRequest (this=0x101d6780,
request=0x106d6e90, ctxt=0x0, aStatus=0) at nsLoadGroup.cpp:695
#41 0x0de70044 in imgRequestProxy::RemoveFromLoadGroup (this=0x106d6e90) at
imgRequestProxy.cpp:157
#42 0x0de7009c in imgRequestProxy::OnStopRequest (this=Variable "this" is not
available.
) at imgRequestProxy.cpp:447
#43 0x0de6e538 in imgRequest::OnStopRequest (this=Variable "this" is not available.
) at imgRequest.cpp:697
#44 0x0de699b8 in ProxyListener::OnStopRequest (this=Variable "this" is not
available.
) at imgLoader.cpp:851
#45 0x0e7aed08 in nsJARChannel::OnStopRequest (this=0x106d71d0, req=Variable
"req" is not available.
) at nsJARChannel.cpp:687
#46 0x0e7340d4 in nsInputStreamPump::OnStateStop (this=0x106d74a8) at
nsInputStreamPump.cpp:498
#47 0x0e734474 in nsInputStreamPump::OnInputStreamReady (this=0x106d74a8,
stream=0x0) at nsInputStreamPump.cpp:339
#48 0x0f22a050 in nsInputStreamReadyEvent::EventHandler (plevent=Variable
"plevent" is not available.
) at nsStreamUtils.cpp:118
#49 0x0f243970 in PL_HandleEvent (self=0x106d97f4) at plevent.c:673
#50 0x0f243f70 in PL_ProcessPendingEvents (self=0x100bd4f0) at plevent.c:608
#51 0x0f24593c in nsEventQueueImpl::ProcessPendingEvents (this=0x100bd4c8) at
nsEventQueue.cpp:398
#52 0x0e99e26c in event_processor_callback (source=Variable "source" is not
available.
) at nsAppShell.cpp:67
#53 0x0fd34584 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#54 0x0fd00a94 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#55 0x0fd04d6c in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#56 0x0fd051c4 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#57 0x0f569318 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#58 0x0e99e82c in nsAppShell::Run (this=0x1009e308) at nsAppShell.cpp:142
#59 0x0ea7c42c in nsAppShellService::Run (this=Variable "this" is not available.
) at nsAppShellService.cpp:494
#60 0x10009ad4 in xre_main (argc=Variable "argc" is not available.
) at nsAppRunner.cpp:1925
#61 0x10005a9c in main (argc=Variable "argc" is not available.
) at nsMailApp.cpp:58
#62 0x300317cc in generic_start_main () from /lib/libc.so.6
#63 0x30031964 in __libc_start_main () from /lib/libc.so.6
#64 0x30031964 in __libc_start_main () from /lib/libc.so.6
Comment 1 Christian Iseli 2007-01-22 05:06:34 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Matěj Cepl 2007-07-18 13:23:20 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 10:48:01 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.